## quodlibet 3.7.1

=== debian/changelog ===
quodlibet (3.7.1-2) unstable; urgency=medium

  [ Christoph Reiter ]
  * Depend on mutagen >= 1.32 (closes: #807526)
  * Recommend gir1.2-webkit2-4.0 (closes: #825771)
  * Build depend on gtk-update-icon-cache instead of libgtk-3-bin
    (closes: #825449)
  * Change gir1.2-keybinder-3.0 from recommends to depends
    (closes: #632854)
  * Change gir1.2-soup-2.4 from recommends to depends and add version
    (closes: #821295, #834771)
  * Depend on gstreamer1.0-pulseaudio and gstreamer1.0-alsa
    (closes: #785432, #777526, #823697)
  * Remove python-cddb recommends, no longer needed since 3.6.0
  * Replace python-musicbrainz2 recommends with
    python-musicbrainzngs >= 0.5 (closes: #786357)

  [ Tristan Seligmann ]
  * Update watch file to point to readthedocs.io.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 14 Jan 2017 11:23:07 +0200

quodlibet (3.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 26 Dec 2016 14:04:23 +0200

quodlibet (3.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 09 Sep 2016 19:37:56 +0200

=== debian/control ===
Source: quodlibet
Section: sound
Priority: optional
Maintainer: Ondřej Kuzník <ondra@mistotebe.net>
Uploaders:
 Christine Spang <christine@debian.org>,
 Tristan Seligmann <mithrandi@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 gtk-update-icon-cache,
 intltool,
 python-all,
 python-docutils,
 python-sphinx (>= 1.0.7+dfsg-1~),
 python-sphinx-rtd-theme,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/quodlibet.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/quodlibet.git
Homepage: https://github.com/quodlibet/quodlibet

Package: exfalso
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 gir1.2-soup-2.4 (>= 2.44),
 python (>= 2.7.3-4+deb7u1),
 python-gi,
 python-gi-cairo,
 python-mutagen (>= 1.32),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Recommends: python-musicbrainzngs (>= 0.5)
Suggests: brasero | k3b | xfburn, gir1.2-gstreamer-1.0, libmodplug1
Replaces: quodlibet-plugins
Conflicts: quodlibet-plugins
Provides: quodlibet-plugins
Description: audio tag editor for GTK+
 Ex Falso displays and edits audio metadata tags. Supported formats include
 MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack, and MOD/XM/IT.
 .
 A command-line counterpart, Operon, is also distributed as part of this
 package.
 .
 Notable features include:
  * Freeform tag editing for most supported formats, including ID3v2
  * Multiple values for tag keys
  * Flexible rename-by-tags and tag-by-filename patterns
  * Extensible using simple Python-based plugins
  * Edit multiple files in several formats at once

Package: quodlibet
Architecture: all
Depends:
 exfalso (= ${source:Version}),
 gir1.2-gst-plugins-base-1.0,
 gir1.2-gstreamer-1.0,
 gir1.2-keybinder-3.0,
 gstreamer1.0-alsa,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-pulseaudio,
 python (>= 2.7.3-4+deb7u1),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Recommends:
 gir1.2-gtksource-3.0,
 gir1.2-webkit2-4.0,
 libgpod4,
 media-player-info,
 notification-daemon,
 python-dbus,
 python-feedparser,
 python-pyinotify,
 udisks2 | udisks,
Suggests: gstreamer1.0-plugins-bad
Replaces: quodlibet-ext
Conflicts: quodlibet-ext
Provides: quodlibet-ext
Description: audio library manager and player for GTK3
 Quod Libet is a music management program. It provides several different ways
 to view your audio library, as well as support for Internet radio and
 audio feeds. It has extremely flexible metadata tag editing and searching
 capabilities, using the same interface as Ex Falso.
 .
 Supported formats include MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack,
 and MOD/XM/IT.

## quodlibet 3.9.1

=== docs/Makefile ===
all:
	sphinx-build -b html -n . _build_all

guide:
	sphinx-build -b html -c . -n guide _build_guide

clean:
	rm -rf _build_all _build_guide

.PHONY: clean guide show linkcheck

show: all
	xdg-open _build_all/index.html

linkcheck:
	sphinx-build -b linkcheck -n . _build_all

=== docs/favicon/Makefile ===
SOURCE=favicon.svg
DEST=favicon.ico

all: $(DEST)

favicon-16.png: $(SOURCE)
	inkscape $(SOURCE) --export-png $@ -w 16 -h 16

favicon-24.png: $(SOURCE)
	inkscape $(SOURCE) --export-png $@ -w 24 -h 24

favicon-32.png: $(SOURCE)
	inkscape $(SOURCE) --export-png $@ -w 32 -h 32

favicon-48.png: $(SOURCE)
	inkscape $(SOURCE) --export-png $@ -w 48 -h 48

favicon-64.png: $(SOURCE)
	inkscape $(SOURCE) --export-png $@ -w 64 -h 64

$(DEST): favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png
	convert favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png $(DEST)
	rm favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png

.PHONY: clean

clean:
	rm -f favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png favicon.ico

=== quodlibet/images/Makefile ===
THEME=hicolor

QL_SOURCE=$(THEME)/scalable/apps/quodlibet.svg
QL_DEST=quodlibet.png

EF_SOURCE=$(THEME)/scalable/apps/exfalso.svg
EF_DEST=exfalso.png

QL_MC_SOURCE=$(THEME)/scalable/status/quodlibet-missing-cover.svg
QL_MC_DEST=quodlibet-missing-cover.png

PNG16_APPS_DIR=$(THEME)/16x16/apps
PNG16_STATUS_DIR=$(THEME)/16x16/status
PNG16_QL_DEST=$(PNG16_APPS_DIR)/$(QL_DEST)
PNG16_EF_DEST=$(PNG16_APPS_DIR)/$(EF_DEST)
PNG16_MC_DEST=$(PNG16_STATUS_DIR)/$(QL_MC_DEST)

PNG24_APPS_DIR=$(THEME)/24x24/apps
PNG24_STATUS_DIR=$(THEME)/24x24/status
PNG24_QL_DEST=$(PNG24_APPS_DIR)/$(QL_DEST)
PNG24_EF_DEST=$(PNG24_APPS_DIR)/$(EF_DEST)
PNG24_MC_DEST=$(PNG24_STATUS_DIR)/$(QL_MC_DEST)

PNG32_APPS_DIR=$(THEME)/32x32/apps
PNG32_STATUS_DIR=$(THEME)/32x32/status
PNG32_QL_DEST=$(PNG32_APPS_DIR)/$(QL_DEST)
PNG32_EF_DEST=$(PNG32_APPS_DIR)/$(EF_DEST)
PNG32_MC_DEST=$(PNG32_STATUS_DIR)/$(QL_MC_DEST)

PNG48_APPS_DIR=$(THEME)/48x48/apps
PNG48_STATUS_DIR=$(THEME)/48x48/status
PNG48_QL_DEST=$(PNG48_APPS_DIR)/$(QL_DEST)
PNG48_EF_DEST=$(PNG48_APPS_DIR)/$(EF_DEST)
PNG48_MC_DEST=$(PNG48_STATUS_DIR)/$(QL_MC_DEST)

PNG64_APPS_DIR=$(THEME)/64x64/apps
PNG64_STATUS_DIR=$(THEME)/64x64/status
PNG64_QL_DEST=$(PNG64_APPS_DIR)/$(QL_DEST)
PNG64_EF_DEST=$(PNG64_APPS_DIR)/$(EF_DEST)
PNG64_MC_DEST=$(PNG64_STATUS_DIR)/$(QL_MC_DEST)

SYMBOLIC_SRC=$(wildcard $(THEME)/scalable/apps/*.svg.in)
SYMBOLIC_TARGET=$(SYMBOLIC_SRC:.svg.in=.svg)

all: png16 png24 png32 png48 png64 $(SYMBOLIC_TARGET)

png16: $(PNG16_QL_DEST) $(PNG16_EF_DEST) $(PNG16_MC_DEST)

png24: $(PNG24_QL_DEST) $(PNG24_EF_DEST) $(PNG24_MC_DEST)

png32: $(PNG32_QL_DEST) $(PNG32_EF_DEST) $(PNG32_MC_DEST)

png48: $(PNG48_QL_DEST) $(PNG48_EF_DEST) $(PNG48_MC_DEST)

png64: $(PNG64_QL_DEST) $(PNG64_EF_DEST) $(PNG64_MC_DEST)

$(SYMBOLIC_TARGET): $(SYMBOLIC_SRC)
	cp $(@:.svg=.svg.in) "_temp.svg"
	inkscape -f "_temp.svg" --verb=EditSelectAll \
		--verb=SelectionUnGroup --verb=StrokeToPath --verb=SelectionUnion \
		--verb=FileVacuum \
		--verb=FileSave --verb=FileClose --verb=FileQuit
	mv "_temp.svg" "$@"

$(PNG16_QL_DEST): $(QL_SOURCE)
	mkdir -p $(PNG16_APPS_DIR) && \
	inkscape $(QL_SOURCE) --export-png $(PNG16_QL_DEST) -w 16 -h 16 ;

$(PNG16_EF_DEST): $(EF_SOURCE)
	mkdir -p $(PNG16_APPS_DIR) && \
	inkscape $(EF_SOURCE) --export-png $(PNG16_EF_DEST) -w 16 -h 16 ;

$(PNG16_MC_DEST): $(MC_SOURCE)
	mkdir -p $(PNG16_STATUS_DIR) && \
	inkscape $(QL_MC_SOURCE) --export-png $(PNG16_MC_DEST) -w 16 -h 16 ;

$(PNG24_QL_DEST): $(QL_SOURCE)
	mkdir -p $(PNG24_APPS_DIR) && \
	inkscape $(QL_SOURCE) --export-png $(PNG24_QL_DEST) -w 24 -h 24 ;

$(PNG24_EF_DEST): $(EF_SOURCE)
	mkdir -p $(PNG24_APPS_DIR) && \
	inkscape $(EF_SOURCE) --export-png $(PNG24_EF_DEST) -w 24 -h 24 ;

$(PNG24_MC_DEST): $(MC_SOURCE)
	mkdir -p $(PNG24_STATUS_DIR) && \
	inkscape $(QL_MC_SOURCE) --export-png $(PNG24_MC_DEST) -w 24 -h 24 ;

$(PNG32_QL_DEST): $(QL_SOURCE)
	mkdir -p $(PNG32_APPS_DIR) && \
	inkscape $(QL_SOURCE) --export-png $(PNG32_QL_DEST) -w 32 -h 32 ;

$(PNG32_EF_DEST): $(EF_SOURCE)
	mkdir -p $(PNG32_APPS_DIR) && \
	inkscape $(EF_SOURCE) --export-png $(PNG32_EF_DEST) -w 32 -h 32 ;

$(PNG32_MC_DEST): $(MC_SOURCE)
	mkdir -p $(PNG32_STATUS_DIR) && \
	inkscape $(QL_MC_SOURCE) --export-png $(PNG32_MC_DEST) -w 32 -h 32 ;

$(PNG48_QL_DEST): $(QL_SOURCE)
	mkdir -p $(PNG48_APPS_DIR) && \
	inkscape $(QL_SOURCE) --export-png $(PNG48_QL_DEST) -w 48 -h 48 ;

$(PNG48_EF_DEST): $(EF_SOURCE)
	mkdir -p $(PNG48_APPS_DIR) && \
	inkscape $(EF_SOURCE) --export-png $(PNG48_EF_DEST) -w 48 -h 48 ;

$(PNG48_MC_DEST): $(MC_SOURCE)
	mkdir -p $(PNG48_STATUS_DIR) && \
	inkscape $(QL_MC_SOURCE) --export-png $(PNG48_MC_DEST) -w 48 -h 48 ;

$(PNG64_QL_DEST): $(QL_SOURCE)
	mkdir -p $(PNG64_APPS_DIR) && \
	inkscape $(QL_SOURCE) --export-png $(PNG64_QL_DEST) -w 64 -h 64 ;

$(PNG64_EF_DEST): $(EF_SOURCE)
	mkdir -p $(PNG64_APPS_DIR) && \
	inkscape $(EF_SOURCE) --export-png $(PNG64_EF_DEST) -w 64 -h 64 ;

$(PNG64_MC_DEST): $(MC_SOURCE)
	mkdir -p $(PNG64_STATUS_DIR) && \
	inkscape $(QL_MC_SOURCE) --export-png $(PNG64_MC_DEST) -w 64 -h 64 ;

.PHONY: clean

clean:
	rm -f -R $(THEME)/16x16 $(THEME)/24x24 $(THEME)/32x32 $(THEME)/48x48 \
		$(THEME)/64x64 $(SYMBOLIC_TARGET)

=== debian/changelog ===
quodlibet (3.9.1-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Depend on python-feedparser (Closes: #875492)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 20 Oct 2017 03:00:19 +0100

quodlibet (3.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Depend on python-concurrent.futures (Closes: #875634)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 05 Oct 2017 23:08:48 +0100

quodlibet (3.9.1-1) unstable; urgency=medium

  * New upstream release (closes: #862074).
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 10 Sep 2017 15:45:11 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python-docutils,
  python-sphinx (>= 1.0.7+dfsg-1~),
  python-sphinx-rtd-theme,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/quodlibet.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/quodlibet.git
 Homepage: https://github.com/quodlibet/quodlibet
@@ -25,6 +25,9 @@
  gir1.2-gtk-3.0,
  gir1.2-soup-2.4 (>= 2.44),
  python (>= 2.7.3-4+deb7u1),
+ python-concurrent.futures,
+ python-feedparser,
+ python-faulthandler,
  python-gi,
  python-gi-cairo,
  python-mutagen (>= 1.32),

## quodlibet 4.1.0

=== debian/changelog ===
quodlibet (4.1.0-1) unstable; urgency=medium

  [ W. Martin Borgert ]
  * Team upload.

  [Ondřej Nový]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [Ondřej Kuzník]
  * New upstream version 4.1.0 (Closes: #889027)
  * Update copyright file

 -- W. Martin Borgert <debacle@debian.org>  Thu, 14 Jun 2018 21:57:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,39 @@
 Source: quodlibet
 Section: sound
 Priority: optional
-Maintainer: Ondřej Kuzník <ondra@mistotebe.net>
-Uploaders:
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Ondřej Kuzník <ondra@mistotebe.net>,
  Christine Spang <christine@debian.org>,
- Tristan Seligmann <mithrandi@debian.org>,
+ Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  gtk-update-icon-cache,
  intltool,
- python-all,
- python-docutils,
- python-sphinx (>= 1.0.7+dfsg-1~),
- python-sphinx-rtd-theme,
+ python3-all (>= 3.5),
+ python3-docutils,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
 Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/quodlibet.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/quodlibet.git
+Vcs-Git: https://salsa.debian.org/python-team/applications/quodlibet.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/quodlibet
 Homepage: https://github.com/quodlibet/quodlibet
+X-Python3-Version: >= 3.5
 
 Package: exfalso
 Architecture: all
 Depends:
  gir1.2-gtk-3.0,
- gir1.2-soup-2.4 (>= 2.44),
- python (>= 2.7.3-4+deb7u1),
- python-concurrent.futures,
- python-feedparser,
- python-faulthandler,
- python-gi,
- python-gi-cairo,
- python-mutagen (>= 1.32),
+ gir1.2-soup-2.4,
+ python3 (>= 3.5),
+ python3-feedparser,
+ python3-gi,
+ python3-gi-cairo,
+ python3-mutagen (>= 1.34),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${sphinxdoc:Depends},
-Recommends: python-musicbrainzngs (>= 0.5)
+Recommends: python3-musicbrainzngs
 Suggests: brasero | k3b | xfburn, gir1.2-gstreamer-1.0, libmodplug1
 Replaces: quodlibet-plugins
 Conflicts: quodlibet-plugins
@@ -65,24 +64,17 @@
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-ugly,
  gstreamer1.0-pulseaudio,
- python (>= 2.7.3-4+deb7u1),
+ python3 (>= 3.5),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${sphinxdoc:Depends},
 Recommends:
  gir1.2-gtksource-3.0,
  gir1.2-webkit2-4.0,
- libgpod4,
- media-player-info,
  notification-daemon,
- python-dbus,
- python-feedparser,
- python-pyinotify,
- udisks2 | udisks,
+ python3-dbus,
+ python3-pyinotify,
 Suggests: gstreamer1.0-plugins-bad
-Replaces: quodlibet-ext
-Conflicts: quodlibet-ext
-Provides: quodlibet-ext
 Description: audio library manager and player for GTK3
  Quod Libet is a music management program. It provides several different ways
  to view your audio library, as well as support for Internet radio and

## quodlibet 4.2.0

=== debian/changelog ===
quodlibet (4.2.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Remove intltool B-D and replace with gettext (>= 0.19.8).

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Nov 2018 18:42:54 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: quodlibet
 Section: sound
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondřej Kuzník <ondra@mistotebe.net>,
  Christine Spang <christine@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>
@@ -9,7 +10,7 @@
  debhelper (>= 10),
  dh-python,
  gtk-update-icon-cache,
- intltool,
+ gettext (>= 0.19.8),
  python3-all (>= 3.5),
  python3-docutils,
  python3-sphinx,

## quodlibet 4.2.1

=== docs/Makefile ===
all:
	python3 -m sphinx -b html -n . _build_all

guide:
	python3 -m sphinx -b html -c . -n guide _build_guide

clean:
	rm -rf _build_all _build_guide

.PHONY: clean guide show linkcheck

show: all
	xdg-open _build_all/index.html

linkcheck:
	python3 -m sphinx -b linkcheck -n . _build_all

=== quodlibet/images/Makefile ===
THEME=hicolor

QL_SOURCE=$(THEME)/scalable/apps/io.github.quodlibet.QuodLibet.svg
QL_DEST=io.github.quodlibet.QuodLibet.png

EF_SOURCE=$(THEME)/scalable/apps/exfalso.svg
EF_DEST=exfalso.png

QL_MC_SOURCE=$(THEME)/scalable/status/quodlibet-missing-cover.svg
QL_MC_DEST=quodlibet-missing-cover.png

SYMBOLIC_SRC=$(wildcard $(THEME)/scalable/apps/*.svg.in)
SYMBOLIC_TARGET=$(SYMBOLIC_SRC:.svg.in=.svg)

all: \
	png-16x16 \
	png-24x24 \
	png-32x32 \
	png-48x48 \
	png-64x64 \
	png-128x128 \
	png-256x256 \
	$(SYMBOLIC_TARGET)

clean:
	rm -f -R \
		$(THEME)/16x16 \
		$(THEME)/24x24 \
		$(THEME)/32x32 \
		$(THEME)/48x48 \
		$(THEME)/64x64 \
		$(THEME)/128x128 \
		$(THEME)/256x256 \
		$(SYMBOLIC_TARGET)

png-%: $(THEME)/%/apps/$(QL_DEST) $(THEME)/%/apps/$(EF_DEST) $(THEME)/%/status/$(QL_MC_DEST)
	@true

$(THEME)/%/apps/$(QL_DEST): $(QL_SOURCE)
	mkdir -p $(dir $@)
	inkscape $< --export-png $@ -w $(shell echo $* | cut -dx -f1) -h $(shell echo $* | cut -dx -f2) ;

$(THEME)/%/apps/$(EF_DEST): $(EF_SOURCE)
	mkdir -p $(dir $@)
	inkscape $< --export-png $@ -w $(shell echo $* | cut -dx -f1) -h $(shell echo $* | cut -dx -f2) ;

$(THEME)/%/status/$(QL_MC_DEST): $(QL_MC_SOURCE)
	mkdir -p $(dir $@)
	inkscape $< --export-png $@ -w $(shell echo $* | cut -dx -f1) -h $(shell echo $* | cut -dx -f2) ;

$(SYMBOLIC_TARGET): $(SYMBOLIC_SRC)
	cp $(@:.svg=.svg.in) "_temp.svg"
	inkscape -f "_temp.svg" --verb=EditSelectAll \
		--verb=SelectionUnGroup --verb=StrokeToPath --verb=SelectionUnion \
		--verb=FileVacuum \
		--verb=FileSave --verb=FileClose --verb=FileQuit
	mv "_temp.svg" "$@"

.PRECIOUS: $(THEME)/%/apps/$(QL_DEST) $(THEME)/%/apps/$(EF_DEST) $(THEME)/%/status/$(QL_MC_DEST)
.PHONY: clean png-%

=== debian/changelog ===
quodlibet (4.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: #913646)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 18 Jan 2019 23:35:07 +0000

quodlibet (4.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.2.0 (Closes: #913135)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 07 Nov 2018 20:39:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: quodlibet
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondřej Kuzník <ondra@mistotebe.net>,
  Christine Spang <christine@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>
@@ -10,12 +9,13 @@
  debhelper (>= 10),
  dh-python,
  gtk-update-icon-cache,
- gettext (>= 0.19.8),
+ gettext,
  python3-all (>= 3.5),
  python3-docutils,
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Standards-Version: 4.0.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/applications/quodlibet.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/quodlibet
 Homepage: https://github.com/quodlibet/quodlibet

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/,\
dversionmangle=s/\+debian// \
https://quodlibet.readthedocs.io/en/latest/downloads.html \
    (?:.*/)?quodlibet-([\d\.]*).tar.gz

## quodlibet 4.3.0

=== debian/changelog ===
quodlibet (4.3.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- andyprough <andyprough@protonmail.com>  Fri, 07 Aug 2020 22:26:36 -0500

quodlibet (4.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 26 May 2020 17:32:47 +0000

quodlibet (4.2.1-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove ancient X-Python3-Version field.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Fix day-of-week for changelog entry 0.22-1.

  [ Martin ]
  * Fix a SyntaxWarning
  * Use /usr/bin/editor as fallback, not nano (Closes: #934545)

 -- Martin <debacle@debian.org>  Wed, 01 Apr 2020 07:27:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: quodlibet
 Section: sound
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: andyprough <andyprough@protonmail.com>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondřej Kuzník <ondra@mistotebe.net>,
  Christine Spang <christine@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  gtk-update-icon-cache,
  gettext,
@@ -19,7 +20,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/applications/quodlibet.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/quodlibet
 Homepage: https://github.com/quodlibet/quodlibet
-X-Python3-Version: >= 3.5
 
 Package: exfalso
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	./setup.py build_sphinx

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_auto_test:

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## quodlibet 4.4.0

=== quodlibet/images/Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 QL_SOURCE=$(THEME)/scalable/apps/io.github.quodlibet.QuodLibet.svg
 QL_DEST=io.github.quodlibet.QuodLibet.png
 
-EF_SOURCE=$(THEME)/scalable/apps/exfalso.svg
-EF_DEST=exfalso.png
+EF_SOURCE=$(THEME)/scalable/apps/io.github.quodlibet.ExFalso.svg
+EF_DEST=io.github.quodlibet.ExFalso.png
 
 QL_MC_SOURCE=$(THEME)/scalable/status/quodlibet-missing-cover.svg
 QL_MC_DEST=quodlibet-missing-cover.png

=== debian/changelog ===
quodlibet (4.4.0-2) unstable; urgency=medium

  * Team upload
  * Re-upload to unstable

 -- Martin <debacle@debian.org>  Sat, 21 Aug 2021 23:27:47 +0000

quodlibet (4.4.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Re-export upstream signing key without extra signatures.

 -- Martin <debacle@debian.org>  Fri, 12 Mar 2021 12:44:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: quodlibet
 Section: sound
 Priority: optional
-Maintainer: andyprough <andyprough@protonmail.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondřej Kuzník <ondra@mistotebe.net>,
  Christine Spang <christine@debian.org>,
  Tristan Seligmann <mithrandi@debian.org>
@@ -17,8 +16,8 @@
  python3-sphinx-rtd-theme,
 Standards-Version: 4.0.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/python-team/applications/quodlibet.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/quodlibet
+Vcs-Git: https://salsa.debian.org/python-team/packages/quodlibet.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/quodlibet
 Homepage: https://github.com/quodlibet/quodlibet
 
 Package: exfalso

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	./setup.py build_sphinx

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS.rst

override_dh_auto_test:

## quodlibet 4.5.0

=== debian/changelog ===
quodlibet (4.5.0-3) unstable; urgency=medium

  * Team upload
  * Remove retired uploader

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 16:05:49 +0200

quodlibet (4.5.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + exfalso: Drop versioned constraint on python3-mutagen in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 20:56:57 +0100

quodlibet (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * Drop transition pkg gstreamer1.0-pulseaudio dependency
  * New upstream version 4.5.0
  * Rebase patch
  * Update copyright
  * Add gbp.conf
  * Install scalable icons
  * Drop old debian/*.dirs
  * Drop old README.Debian
  * Drop old quodlibet-plugins transition entries
  * Drop old Python versioned dependency
  * Use dh-sequences
  * Bump debhelper and policy versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Apr 2022 00:45:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondřej Kuzník <ondra@mistotebe.net>,
  Christine Spang <christine@debian.org>,
- Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  gtk-update-icon-cache,
  gettext,
- python3-all (>= 3.5),
+ python3-all,
  python3-docutils,
- python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.0.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/quodlibet.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/quodlibet
@@ -25,19 +24,15 @@
 Depends:
  gir1.2-gtk-3.0,
  gir1.2-soup-2.4,
- python3 (>= 3.5),
  python3-feedparser,
  python3-gi,
  python3-gi-cairo,
- python3-mutagen (>= 1.34),
+ python3-mutagen,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},
 Recommends: python3-musicbrainzngs
 Suggests: brasero | k3b | xfburn, gir1.2-gstreamer-1.0, libmodplug1
-Replaces: quodlibet-plugins
-Conflicts: quodlibet-plugins
-Provides: quodlibet-plugins
 Description: audio tag editor for GTK+
  Ex Falso displays and edits audio metadata tags. Supported formats include
  MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack, and MOD/XM/IT.
@@ -63,8 +58,6 @@
  gstreamer1.0-plugins-base,
  gstreamer1.0-plugins-good,
  gstreamer1.0-plugins-ugly,
- gstreamer1.0-pulseaudio,
- python3 (>= 3.5),
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},

## quodlibet 4.6.0

=== docs/Makefile ===
all:
	python3 -m sphinx -j auto -b html -n . _build_all

watch:
	sphinx-autobuild -j auto -b html -n . _build_all

guide:
	python3 -m sphinx -j auto -b html -c . -n guide _build_guide

clean:
	rm -rf _build_all _build_guide

.PHONY: clean guide show linkcheck

show: all
	xdg-open _build_all/index.html

linkcheck:
	python3 -m sphinx -j auto -b linkcheck -n . _build_all

=== docs/requirements.txt ===
sphinx>=5.0,<6.0
sphinx-rtd-theme>=1.0,<2.0

=== docs/favicon/Makefile ===
SOURCE=favicon.svg
DEST=favicon.ico

all: $(DEST)

favicon-16.png: $(SOURCE)
	inkscape $(SOURCE) --export-filename $@ -w 16 -h 16

favicon-24.png: $(SOURCE)
	inkscape $(SOURCE) --export-filename $@ -w 24 -h 24

favicon-32.png: $(SOURCE)
	inkscape $(SOURCE) --export-filename $@ -w 32 -h 32

favicon-48.png: $(SOURCE)
	inkscape $(SOURCE) --export-filename $@ -w 48 -h 48

favicon-64.png: $(SOURCE)
	inkscape $(SOURCE) --export-filename $@ -w 64 -h 64

$(DEST): favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png
	convert favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png $(DEST)
	rm favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png

.PHONY: clean

clean:
	rm -f favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png favicon.ico

=== quodlibet/images/Makefile ===
--- 
+++ 
@@ -38,19 +38,19 @@
 
 $(THEME)/%/apps/$(QL_DEST): $(QL_SOURCE)
 	mkdir -p $(dir $@)
-	inkscape $< --export-png $@ -w $(shell echo $* | cut -dx -f1) -h $(shell echo $* | cut -dx -f2) ;
+	inkscape $< --export-filename $@ -w $(shell echo $* | cut -dx -f1) -h $(shell echo $* | cut -dx -f2) ;
 
 $(THEME)/%/apps/$(EF_DEST): $(EF_SOURCE)
 	mkdir -p $(dir $@)
-	inkscape $< --export-png $@ -w $(shell echo $* | cut -dx -f1) -h $(shell echo $* | cut -dx -f2) ;
+	inkscape $< --export-filename $@ -w $(shell echo $* | cut -dx -f1) -h $(shell echo $* | cut -dx -f2) ;
 
 $(THEME)/%/status/$(QL_MC_DEST): $(QL_MC_SOURCE)
 	mkdir -p $(dir $@)
-	inkscape $< --export-png $@ -w $(shell echo $* | cut -dx -f1) -h $(shell echo $* | cut -dx -f2) ;
+	inkscape $< --export-filename $@ -w $(shell echo $* | cut -dx -f1) -h $(shell echo $* | cut -dx -f2) ;
 
 $(SYMBOLIC_TARGET): $(SYMBOLIC_SRC)
 	cp $(@:.svg=.svg.in) "_temp.svg"
-	inkscape -f "_temp.svg" --verb=EditSelectAll \
+	inkscape "_temp.svg" --verb=EditSelectAll \
 		--verb=SelectionUnGroup --verb=StrokeToPath --verb=SelectionUnion \
 		--verb=FileVacuum \
 		--verb=FileSave --verb=FileClose --verb=FileQuit

=== debian/changelog ===
quodlibet (4.6.0-6~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 Jun 2025 23:25:16 -0700

quodlibet (4.6.0-6) unstable; urgency=medium

  * Team upload.
  * load_library: handle AttributeError as well (closes: #1095175).

 -- Colin Watson <cjwatson@debian.org>  Wed, 26 Mar 2025 10:07:06 +0000

quodlibet (4.6.0-5) unstable; urgency=medium

  * Team upload.
  [ Colin Watson ]
  * Build-depend on python3-setuptools (closes: #1080788).

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Jan 2025 23:23:42 +0100

quodlibet (4.6.0-4) unstable; urgency=medium

  * Team upload.
  * Cherry-pick from upstream:
    - Squeezebox plugins: Migrate to raw socket connection (closes:
      #1084610).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Oct 2024 21:56:09 +0100

quodlibet (4.6.0-3) unstable; urgency=medium

  * Team upload

  [ Maia Everett ]
  * Apply two commits from upstream to fix compatibility with Python 3.12
    (LP: #2056101)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Apr 2024 06:45:40 -0400

quodlibet (4.6.0-2) unstable; urgency=medium

  * Team upload
  * Drop unused Recommends: gir1.2-webkit2-4.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Apr 2024 19:44:32 -0400

quodlibet (4.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.6.0

 -- Martin <debacle@debian.org>  Thu, 21 Sep 2023 19:47:50 +0000

=== debian/control ===
Source: quodlibet
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Kuzník <ondra@mistotebe.net>,
           Christine Spang <christine@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               gettext,
               gtk-update-icon-cache,
               pybuild-plugin-pyproject,
               python3-all,
               python3-docutils,
               python3-setuptools,
               python3-sphinx-rtd-theme
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/quodlibet.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/quodlibet
Homepage: https://github.com/quodlibet/quodlibet

Package: exfalso
Architecture: all
Depends: gir1.2-gtk-3.0,
         gir1.2-soup-3.0,
         python3-feedparser,
         python3-gi,
         python3-gi-cairo,
         python3-mutagen,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
         python3-musicbrainzngs
Suggests: brasero | k3b | xfburn, gir1.2-gstreamer-1.0, libmodplug1
Description: audio tag editor for GTK+
 Ex Falso displays and edits audio metadata tags. Supported formats include
 MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack, and MOD/XM/IT.
 .
 A command-line counterpart, Operon, is also distributed as part of this
 package.
 .
 Notable features include:
  * Freeform tag editing for most supported formats, including ID3v2
  * Multiple values for tag keys
  * Flexible rename-by-tags and tag-by-filename patterns
  * Extensible using simple Python-based plugins
  * Edit multiple files in several formats at once

Package: quodlibet
Architecture: all
Depends: exfalso (= ${source:Version}),
         gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-keybinder-3.0,
         gstreamer1.0-alsa,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
            gir1.2-gtksource-3.0,
            notification-daemon,
            python3-dbus,
            python3-pyinotify,
            gstreamer1.0-plugins-bad
Description: audio library manager and player for GTK3
 Quod Libet is a music management program. It provides several different ways
 to view your audio library, as well as support for Internet radio and
 audio feeds. It has extremely flexible metadata tag editing and searching
 capabilities, using the same interface as Ex Falso.
 .
 Supported formats include MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack,
 and MOD/XM/IT.
